Subject: RE: bug#2608: 23.0.90;`w32-use-visible-system-carat' should be a defcustom

From: "Drew Adams" <[email-masked]>
Date: Sun, 24 May 2009 19:14:48 -0700

> > I don't see this as fixed in 23.0.94.1. I'm looking at both 
> > the doc string and the Emacs manual section about this variable.
> 
> Drew, can you please stop reopening bugs because the solution is not 
> EXACTLY what you want.
> 
> At least explain what it is that is missing so we can have a 
> clue what it is you are not happy with.

Can you explain how the doc responds at all to the bug report? From that
discussion:

> > It was originally intended as a user option, but code was added to 
> > automatically set it according to whether screen reading 
> > software is in use. So it should just do the right thing.
> > Documentation probably needs updating to reflect that, and the
> > fact that it is only useful for screen reading software, as the
> > user seems to have gotten the idea that it might help them even
> > though they don't use such software - in fact Emacs 
> > drawn cursors are far more useful, as they can be configured 
> > to be more or less visible as the user requires.
> 
> I see. Yes, I think clarifying this in the doc would help. 

I don't see that clarification. I see nothing that would dissuade a user from
trying to set this etc. See the original confusion reported by the user with
sight problems. The point is to clarify things to avoid the confusion he had.

> And perhaps add a link to a manual section about
> customizing the cursor, for people such as the OP
> who don't use screenreaders.